module FiForm

  module ViewHelper
    def fi_form_for(resource, options={}, &block)
      builder = FiForm::Builder.new(resource, options, self, &block)
      builder.validation_errors = resource&.errors&.details

      capture(builder, &block)

      builder.to_html
    end
  end

  class Railtie < Rails::Railtie
    initializer 'fi_form.helper' do |_app|
      ActionView::Base.send :include, FiForm::ViewHelper
    end

    config.to_prepare do
      FiForm.configuration.reload!
    end if Rails.env.development?
  end

end